Skip to main content
POST
/
v1
/
chat
/
completions
Chat Completions
curl --request POST \
  --url https://www.anyfast.ai/v1/chat/completions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "doubao-seed-1-6-251015",
  "messages": [
    {
      "role": "user",
      "content": [
        {
          "type": "image_url",
          "image_url": {
            "url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/ark_demo_img_1.png"
          }
        },
        {
          "type": "text",
          "text": "What is in this image?"
        }
      ]
    }
  ],
  "max_tokens": 1024,
  "temperature": 1,
  "top_p": 0.5,
  "stream": false,
  "stop": [
    "<string>"
  ]
}
'
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 1774236644,
  "model": "doubao-seed-1-6-251015",
  "choices": [
    {
      "index": 123,
      "message": {
        "role": "assistant",
        "content": "The image contains 3 models: Doubao-Seed-1.8, DeepSeek-V3.2, GLM-4.7.",
        "reasoning_content": "<string>"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 1355,
    "completion_tokens": 87,
    "total_tokens": 1442,
    "completion_tokens_details": {
      "reasoning_tokens": 53
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

The model to use.

Available options:
doubao-seed-2.0-pro,
doubao-seed-2.0-code,
doubao-seed-2.0-lite,
doubao-seed-2.0-mini,
doubao-seed-1-8-251228,
doubao-seed-1-6-flash-250828,
doubao-seed-1-6-251015,
doubao-seed-1-6-lite-251015,
doubao-seed-1-6-vision-250815,
glm-4-7-251222
Example:

"doubao-seed-1-6-251015"

messages
object[]
required

Conversation messages. Each message has role and content.

Content array item types:

  • text: {"type": "text", "text": "..."}
  • image_url: {"type": "image_url", "image_url": {"url": "https://..."}}
  • video_url: {"type": "video_url", "video_url": {"url": "https://...", "fps": 2}}
Minimum array length: 1
Example:
[
  {
    "role": "user",
    "content": [
      {
        "type": "image_url",
        "image_url": {
          "url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/ark_demo_img_1.png"
        }
      },
      {
        "type": "text",
        "text": "What is in this image?"
      }
    ]
  }
]
max_tokens
integer

Maximum number of tokens to generate.

Required range: x >= 1
Example:

1024

temperature
number
default:1

Sampling temperature.

Required range: 0 <= x <= 2
Example:

1

top_p
number

Nucleus sampling parameter.

Required range: 0 <= x <= 1
stream
boolean
default:false

Whether to stream via SSE.

stop
string[]

Up to 4 stop sequences.

Response

Chat completion created successfully

id
string
Example:

"chatcmpl-abc123"

object
string
Example:

"chat.completion"

created
integer
Example:

1774236644

model
string
Example:

"doubao-seed-1-6-251015"

choices
object[]
usage
object